...
TWITTER_STATUS_MAX_LENGTH = 140
...

class TwitterStock(Stock):

    def __init__(self, *args, **kwargs):
        ...
  
        self.__twitter_status_counter_text = hippo.CanvasText(text=str(TWITTER_STATUS_MAX_LENGTH))
   
        self.__twitter_status_input = hippo.CanvasEntry()
        self.__twitter_status_input.get_property("widget").set_max_length(TWITTER_STATUS_MAX_LENGTH)
        self.__twitter_status_input.connect("notify::text", self.__on_status_edited)
        self.__twitter_status_input.connect("key-press-event", self.__on_status_submitted)

        ...

    def __on_status_edited(self, input, param_spec):
        self.__twitter_status_counter_text.set_property("text", str(TWITTER_STATUS_MAX_LENGTH - len(self.__twitter_status_input.get_property("text"))))

    def __on_status_submitted(self, entry, event):
        if event.key == hippo.KEY_RETURN:
            status = self.__twitter_status_input.get_property("text").strip()
            if status != "":
                _logger.debug("will send status: %s" % status)
                username = self.__twitter_account.GetUsername()
                password =  self.__twitter_account.GetPassword()
                self.__fetcher.fetch("http://twitter.com/statuses/update.json", 
                                 username, password,
                                 lambda url, data: self.__on_twitter_status_response(url, data, username, password), 
                                 lambda url, resp: self.__on_twitter_error(url, resp, username, password),
                                 lambda url: self.__on_auth_failed(username, password),
                                 data = urllib.urlencode({"status":status}))

            self.__twitter_status_input.set_property("text", "")

    def __on_twitter_response(self, url, data, username, password):
        _logger.debug("Authentication must be good")
        if self.__same_credentials(username, password):
            self.__box.remove_all()
            hello_message = hippo.CanvasText(text="Update status for " + self.__twitter_account.GetUsername() + ":",
                                             size_mode=hippo.CANVAS_SIZE_WRAP_WORD)
            self.__box.append(hello_message)
            self.__box.append(self.__twitter_status_counter_text)
            self.__box.append(self.__twitter_status_input)  

    def __on_twitter_status_response(self, url, data, username, password):
        _logger.debug("Twitter status update went fine")

